Skip to content

Cancel coupon reservation

POST
/api/v2.0/stores/{storeId}/members/{memberId}/coupons/{couponCode}/cancel-reservation
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/coupons/WELCOME15/cancel-reservation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "external_transaction_id": "example" }'

This endpoint should be called when a transaction is completed or cancelled to release the coupon reservation and avoid making it unavailable for other transactions.

storeId
required
string
Example
your-store-id
memberId
required
string
Example
m_nsr714RRBEHX
couponCode
required
string
Example
WELCOME15
object
external_transaction_id
string
nullable
Examplegenerated
{
"external_transaction_id": "example"
}

OK

Media typeapplication/json
object
is_ok
boolean
details
string
nullable
Examplegenerated
{
"is_ok": true,
"details": "example"
}

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}